package io.zipcoder.crudapp;

import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

import static org.springframework.web.bind.annotation.RequestMethod.GET;
import static org.springframework.web.bind.annotation.RequestMethod.POST;

@RestController
public class PersonController {
    private List<Person> personList = new ArrayList<>();

    public PersonController(){

    }

    @RequestMapping(value = "/people", method = POST)
    @RequestBody
    public Person createPerson(Person p){
        return new Person();
    }

    @RequestMapping(value = "/people/{id}", method = GET)
    public Person getPerson(@PathVariable int id){
        for(Person person: personList){
            if(person.getId() == id){
                return person;
            }
        }
        return null;
    }

    public List<Person> getPersonList(){
        return this.personList;
    }

    public Person updatePerson(Person p){
        return new Person();
    }
}
